GH-SECRET-LIST(1)

NAME

gh-secret-list - List secrets

SYNOPSIS

gh secret list [flags]

DESCRIPTION

List secrets on one of the following levels: - repository (default): available to Actions runs or Dependabot in a repository - environment: available to Actions runs for a deployment environment in a repository - organization: available to Actions runs, Dependabot, or Codespaces within an organization - user: available to Codespaces for your user

OPTIONS

-a, --app <string>
    List secrets for a specific application: {actions|codespaces|dependabot}

-e, --env <string>
    List secrets for an environment

-o, --org <string>
    List secrets for an organization

-u, --user
    List a secret for your user

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

SEE ALSO

gh-secret(1)